Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Interface GraphEventManager

All Superinterfaces:
  GraphListener

    public interface GraphEventManager

extends GraphListener

The component of a graph responsible for managing events and listeners. The interface extends GraphListener because most of the notificiations are the same; the special case to note is that an event manager expects to be handed iterator events as lists, not as iterators.

Author:
  kers

Method Summary
`boolean` | `listening()` Answer true iff there is at least one attached listener.
`void` | `notifyAddIterator(Graph g, java.util.List triples)` Notify all attached listeners that an iterator [of triples] has been added to the graph; its content has been captured in the list `triples`.
`void` | `notifyDeleteIterator(Graph g, java.util.List triples)` Notify all attached listeners that an iterator [of triples] has been removed from the graph; its content has been captured in the list `triples`.
`GraphEventManager` | `register(GraphListener listener)` Attached `listener` to this manager; notification events sent to the manager are sent to all registered listeners.
`GraphEventManager` | `unregister(GraphListener listener)` If `listener` is attached to this manager, detach it, otherwise do nothing.

Methods inherited from interface com.hp.hpl.jena.graph.GraphListener
`notifyAddArray, notifyAddGraph, notifyAddIterator, notifyAddList, notifyAddTriple, notifyDeleteArray, notifyDeleteGraph, notifyDeleteIterator, notifyDeleteList, notifyDeleteTriple, notifyEvent`

Method Detail

### register

    GraphEventManager register(GraphListener listener)

  Attached `listener` to this manager; notification events sent to the manager are sent to all registered listeners. A listener may be registered multiple times, in which case it's called multiple times per event.

  Parameters:
    `listener` - a listener to be fed events
  Returns:
    this manager, for cascading

### unregister

    GraphEventManager unregister(GraphListener listener)

  If `listener` is attached to this manager, detach it, otherwise do nothing. Only a single registration is removed.

  Parameters:
    `listener` - the listener to be detached from the graph
  Returns:
    this manager, for cascading

### listening

    boolean listening()

  Answer true iff there is at least one attached listener.

  Returns:
    true iff there is at least one attached listener

### notifyAddIterator

    void notifyAddIterator(Graph g,
                           java.util.List triples)

  Notify all attached listeners that an iterator [of triples] has been added to the graph; its content has been captured in the list `triples`.

### notifyDeleteIterator

    void notifyDeleteIterator(Graph g,
                              java.util.List triples)

  Notify all attached listeners that an iterator [of triples] has been removed from the graph; its content has been captured in the list `triples`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP